# DaprAppCallbackProtos.TopicRoutes (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprAppCallbackProtos.TopicRoutes

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.dapr.v1.DaprAppCallbackProtos.TopicRoutes

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.TopicRoutesOrBuilder`, `Serializable`

Enclosing class:
  DaprAppCallbackProtos

    public static final class DaprAppCallbackProtos.TopicRoutes
    extends com.google.protobuf.GeneratedMessageV3
    implements DaprAppCallbackProtos.TopicRoutesOrBuilder

Protobuf type `dapr.proto.runtime.v1.TopicRoutes`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `DaprAppCallbackProtos.TopicRoutes.Builder` Protobuf type `dapr.proto.runtime.v1.TopicRoutes`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `DEFAULT_FIELD_NUMBER`
`static int` `RULES_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`String` `getDefault()` The default path for this topic.
`com.google.protobuf.ByteString` `getDefaultBytes()` The default path for this topic.
`static DaprAppCallbackProtos.TopicRoutes` `getDefaultInstance()`
`DaprAppCallbackProtos.TopicRoutes` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Parser<DaprAppCallbackProtos.TopicRoutes>` `getParserForType()`
`DaprAppCallbackProtos.TopicRule` `getRules​(int index)` The list of rules for this topic.
`int` `getRulesCount()` The list of rules for this topic.
`List<DaprAppCallbackProtos.TopicRule>` `getRulesList()` The list of rules for this topic.
`DaprAppCallbackProtos.TopicRuleOrBuilder` `getRulesOrBuilder​(int index)` The list of rules for this topic.
`List<? extends DaprAppCallbackProtos.TopicRuleOrBuilder>` `getRulesOrBuilderList()` The list of rules for this topic.
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static DaprAppCallbackProtos.TopicRoutes.Builder` `newBuilder()`
`static DaprAppCallbackProtos.TopicRoutes.Builder` `newBuilder​(DaprAppCallbackProtos.TopicRoutes prototype)`
`DaprAppCallbackProtos.TopicRoutes.Builder` `newBuilderForType()`
`protected DaprAppCallbackProtos.TopicRoutes.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static DaprAppCallbackProtos.TopicRoutes` `parseDelimitedFrom​(InputStream input)`
`static DaprAppCallbackProtos.TopicRoutes` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicRoutes` `parseFrom​(byte[] data)`
`static DaprAppCallbackProtos.TopicRoutes` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicRoutes` `parseFrom​(com.google.protobuf.ByteString data)`
`static DaprAppCallbackProtos.TopicRoutes` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicRoutes` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static DaprAppCallbackProtos.TopicRoutes` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicRoutes` `parseFrom​(InputStream input)`
`static DaprAppCallbackProtos.TopicRoutes` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprAppCallbackProtos.TopicRoutes` `parseFrom​(ByteBuffer data)`
`static DaprAppCallbackProtos.TopicRoutes` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<DaprAppCallbackProtos.TopicRoutes>` `parser()`
`DaprAppCallbackProtos.TopicRoutes.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### RULES_FIELD_NUMBER

    public static final int RULES_FIELD_NUMBER

See Also:
  Constant Field Values

#### DEFAULT_FIELD_NUMBER

    public static final int DEFAULT_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getRulesList

    public List<DaprAppCallbackProtos.TopicRule> getRulesList()

     The list of rules for this topic.

`repeated .dapr.proto.runtime.v1.TopicRule rules = 1;`

Specified by:
  `getRulesList` in interface `DaprAppCallbackProtos.TopicRoutesOrBuilder`

#### getRulesOrBuilderList

    public List<? extends DaprAppCallbackProtos.TopicRuleOrBuilder> getRulesOrBuilderList()

     The list of rules for this topic.

`repeated .dapr.proto.runtime.v1.TopicRule rules = 1;`

Specified by:
  `getRulesOrBuilderList` in interface `DaprAppCallbackProtos.TopicRoutesOrBuilder`

#### getRulesCount

    public int getRulesCount()

     The list of rules for this topic.

`repeated .dapr.proto.runtime.v1.TopicRule rules = 1;`

Specified by:
  `getRulesCount` in interface `DaprAppCallbackProtos.TopicRoutesOrBuilder`

#### getRules

    public DaprAppCallbackProtos.TopicRule getRules​(int index)

     The list of rules for this topic.

`repeated .dapr.proto.runtime.v1.TopicRule rules = 1;`

Specified by:
  `getRules` in interface `DaprAppCallbackProtos.TopicRoutesOrBuilder`

#### getRulesOrBuilder

    public DaprAppCallbackProtos.TopicRuleOrBuilder getRulesOrBuilder​(int index)

     The list of rules for this topic.

`repeated .dapr.proto.runtime.v1.TopicRule rules = 1;`

Specified by:
  `getRulesOrBuilder` in interface `DaprAppCallbackProtos.TopicRoutesOrBuilder`

#### getDefault

    public String getDefault()

     The default path for this topic.

`string default = 2;`

Specified by:
  `getDefault` in interface `DaprAppCallbackProtos.TopicRoutesOrBuilder`
Returns:
  The default.

#### getDefaultBytes

    public com.google.protobuf.ByteString getDefaultBytes()

     The default path for this topic.

`string default = 2;`

Specified by:
  `getDefaultBytes` in interface `DaprAppCallbackProtos.TopicRoutesOrBuilder`
Returns:
  The bytes for default.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static DaprAppCallbackProtos.TopicRoutes parseFrom​(ByteBuffer data)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicRoutes parseFrom​(ByteBuffer data,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicRoutes parseFrom​(com.google.protobuf.ByteString data)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicRoutes parseFrom​(com.google.protobuf.ByteString data,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicRoutes parseFrom​(byte[] data)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicRoutes parseFrom​(byte[] data,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicRoutes parseFrom​(InputStream input)
                                                       throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicRoutes parseFrom​(InputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprAppCallbackProtos.TopicRoutes parseDelimitedFrom​(InputStream input)
                                                                throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static DaprAppCallbackProtos.TopicRoutes parseDelimitedFrom​(InputStream input,
                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicRoutes parseFrom​(com.google.protobuf.CodedInputStream input)
                                                       throws IOException

Throws:
  `IOException`

#### parseFrom

    public static DaprAppCallbackProtos.TopicRoutes parseFrom​(com.google.protobuf.CodedInputStream input,
                                                              com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                       throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public DaprAppCallbackProtos.TopicRoutes.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static DaprAppCallbackProtos.TopicRoutes.Builder newBuilder()

#### newBuilder

    public static DaprAppCallbackProtos.TopicRoutes.Builder newBuilder​(DaprAppCallbackProtos.TopicRoutes prototype)

#### toBuilder

    public DaprAppCallbackProtos.TopicRoutes.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected DaprAppCallbackProtos.TopicRoutes.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static DaprAppCallbackProtos.TopicRoutes getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<DaprAppCallbackProtos.TopicRoutes> parser()

#### getParserForType

    public com.google.protobuf.Parser<DaprAppCallbackProtos.TopicRoutes> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public DaprAppCallbackProtos.TopicRoutes getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`